App (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove
Class App

    java.lang.Object
      edu.harvard.hul.ois.jhove.App

    public class App

extends java.lang.Object

The application class for JHOVE. One instance of this class is generated by the application. Various utility and informational methods are contained here.

Constructor Summary
`App(java.lang.String name, java.lang.String release, int[] date, java.lang.String usage, java.lang.String rights)` Creates an App object.

Method Summary
`java.util.Date` | `getDate()` Returns application code creation date
`java.lang.String` | `getName()` Returns the name of this application
`java.lang.String` | `getRelease()` Returns the release identifier for this application.
`java.lang.String` | `getRights()` Returns the rights string.
`java.lang.String` | `getUsage()` Returns the usage string, which should be output when the user enters a command line with only the application name.
`void` | `show(OutputHandler handler)` Outputs detailed information about the application, including configuration, available modules and handlers, etc.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### App

    public App(java.lang.String name,
               java.lang.String release,
               int[] date,
               java.lang.String usage,
               java.lang.String rights)

  Creates an App object.

  Parameters:
    `name` - Name of the application.
    `release` - Release identifier.
    `date` - Last modification date of the application code, in the form of an array of three numbers. `date[0]` is the year, `date[1]` the month, and `date[2]` the day.
    `usage` - String summarizing command line usage, to output when app name is typed with no arguments or flags.
    `rights` - Copyright or other rights statement.

Method Detail

### getDate

    public java.util.Date getDate()

  Returns application code creation date

### getName

    public java.lang.String getName()

  Returns the name of this application

### getRelease

    public java.lang.String getRelease()

  Returns the release identifier for this application.

### getRights

    public java.lang.String getRights()

  Returns the rights string.

### getUsage

    public java.lang.String getUsage()

  Returns the usage string, which should be output when the user enters a command line with only the application name.

### show

    public void show(OutputHandler handler)

  Outputs detailed information about the application, including configuration, available modules and handlers, etc.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD